## ev-annotation-window ev-annotation-window |

## Synopsis

                        EvAnnotationWindow;
                        EvAnnotationWindowClass;
    GtkWidget *         ev_annotation_window_new            (EvAnnotation *annot,
                                                             GtkWindow *parent);
    EvAnnotation *      ev_annotation_window_get_annotation (EvAnnotationWindow *window);
    void                ev_annotation_window_set_annotation (EvAnnotationWindow *window,
                                                             EvAnnotation *annot);
    gboolean            ev_annotation_window_is_open        (EvAnnotationWindow *window);
    void                ev_annotation_window_get_rectangle  (EvAnnotationWindow *window,
                                                             EvRectangle *rect);
    void                ev_annotation_window_set_rectangle  (EvAnnotationWindow *window,
                                                             const EvRectangle *rect);
    void                ev_annotation_window_grab_focus     (EvAnnotationWindow *window);
    void                ev_annotation_window_ungrab_focus   (EvAnnotationWindow *window);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----EvAnnotationWindow

## Implemented Interfaces

EvAnnotationWindow implements AtkImplementorIface and GtkBuildable.

## Properties

      "annotation"               EvAnnotationMarkup*   : Write / Construct Only
      "parent"                   GtkWindow*            : Write / Construct Only

## Signals

      "closed"                                         : Run Last / Action
      "moved"                                          : Run Last / Action

## Description

## Details

### EvAnnotationWindow

    typedef struct _EvAnnotationWindow EvAnnotationWindow;

### EvAnnotationWindowClass

    typedef struct _EvAnnotationWindowClass EvAnnotationWindowClass;

### ev_annotation_window_new ()

    GtkWidget *         ev_annotation_window_new            (EvAnnotation *annot,
                                                             GtkWindow *parent);

`annot` : |
`parent` : |
Returns : |

### ev_annotation_window_get_annotation ()

    EvAnnotation *      ev_annotation_window_get_annotation (EvAnnotationWindow *window);

`window` : |
Returns : |

### ev_annotation_window_set_annotation ()

    void                ev_annotation_window_set_annotation (EvAnnotationWindow *window,
                                                             EvAnnotation *annot);

`window` : |
`annot` : |

### ev_annotation_window_is_open ()

    gboolean            ev_annotation_window_is_open        (EvAnnotationWindow *window);

`window` : |
Returns : |

### ev_annotation_window_get_rectangle ()

    void                ev_annotation_window_get_rectangle  (EvAnnotationWindow *window,
                                                             EvRectangle *rect);

`window` : |
Returns : |

### ev_annotation_window_set_rectangle ()

    void                ev_annotation_window_set_rectangle  (EvAnnotationWindow *window,
                                                             const EvRectangle *rect);

`window` : |
`rect` : |

### ev_annotation_window_grab_focus ()

    void                ev_annotation_window_grab_focus     (EvAnnotationWindow *window);

`window` : |

### ev_annotation_window_ungrab_focus ()

    void                ev_annotation_window_ungrab_focus   (EvAnnotationWindow *window);

`window` : |

## Property Details

### The `"annotation"` property

      "annotation"               EvAnnotationMarkup*   : Write / Construct Only

The annotation associated to the window.

### The `"parent"` property

      "parent"                   GtkWindow*            : Write / Construct Only

The parent window.

## Signal Details

### The `"closed"` signal

    void                user_function                      (EvAnnotationWindow *evannotationwindow,
                                                            gpointer            user_data)               : Run Last / Action

### The `"moved"` signal

    void                user_function                      (EvAnnotationWindow *evannotationwindow,
                                                            gint                arg1,
                                                            gint                arg2,
                                                            gpointer            user_data)               : Run Last / Action